
CoCoALib - Bug #1484

ker bug (quotientinghom for R/ideal())

14 Sep 2020 17:38 - John Abbott

Status: Closed Start date: 14 Sep 2020

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Maths Bugs Estimated time: 2.52 hours

Target version: CoCoALib-0.99800 Spent time: 2.55 hours

Description

Bernhard Andraschko reports the following bug:

/**/ R ::= QQ[x,y,z];

/**/ I := ideal(R,[]);

/**/ S := R/I;

/**/ phi := QuotientingHom(S);

/**/ ker(phi); --> ERROR

Related issues:

Related to CoCoALib - Feature #1329: New syntax for creating homomorphisms (P... Closed 08 Oct 2019

Related to CoCoALib - Bug #1571: ker_H needs care New 29 Jan 2021

History

#1 - 14 Sep 2020 18:07 - John Abbott

I have blindly changed the code in HomomorphismOps.C.

The problem was in MakeRichHom  (and presumably an analogous problem in MakeRichHom_H).

The changes are on lines 167 and 244.

Anna: could you check that what I have done is reasonable?  Bernhard's example works OK now.

#2 - 14 Sep 2020 18:08 - John Abbott

- Status changed from New to Resolved

- % Done changed from 0 to 80

There are two more suspect creations of ideals: line 325 and 347.

I have changed these too, but am less sure that what I have done is correct (not even sure how to test my changes).  Could you do this, Anna?

#3 - 30 Oct 2020 14:49 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

#4 - 30 Oct 2020 14:51 - Anna Maria Bigatti

For me: test, and add CoCoALib tests

#5 - 08 Jan 2021 11:58 - Anna Maria Bigatti

Anna!  check ring for empty lists!

#6 - 22 Jan 2021 10:34 - Anna Maria Bigatti

John Abbott wrote:
There are two more suspect creations of ideals: line 325 and 347.

I have changed these too, but am less sure that what I have done is correct (not even sure how to test my changes).  Could you do this, Anna?

 

I confirm the rings are right.

Now I inserted some verbosity to properly check it.

#7 - 29 Jan 2021 09:45 - Anna Maria Bigatti

For proper testing I added some verbosity, but I cannot see it.

/**/ SetVerbosityLevel(91);

/**/ ker(QuotientingHom(R/ideal(R,[])));

/**/ ker(QuotientingHom(R/ideal(x^2+1)));

what am I missing?  investigating...

#8 - 29 Jan 2021 15:07 - Anna Maria Bigatti

- Related to Feature #1329: New syntax for creating homomorphisms (PolyAlgebraHom) added

#9 - 29 Jan 2021 15:26 - Anna Maria Bigatti

Anna Maria Bigatti wrote:

For proper testing I added some verbosity, but I cannot see it.

[...]

what am I missing?  investigating...

 

those were easy cases! ;-)

ker(InducedHom(R/ideal(x-y),PolyAlgebraHom(R,R/ideal(x-y),"x,y,z")));

this works and triggers the verbosity
#10 - 29 Jan 2021 15:27 - Anna Maria Bigatti

- Status changed from Resolved to Feedback

- % Done changed from 80 to 90

#11 - 29 Jan 2021 15:40 - Anna Maria Bigatti

- Related to Bug #1571: ker_H needs care added

#12 - 16 Sep 2021 13:33 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 2.52 h

Added test to test-exbugs.C.

Closing.
